summaryrefslogtreecommitdiffstats
path: root/misc/txt2tags/txt2tags.SlackBuild
diff options
context:
space:
mode:
author eviljames <storgeek [AT] gmail [dot] com>2010-05-13 00:59:33 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:33 +0200
commit8a9eb2eecf912209a6201adf51cc3a60a4387aef (patch)
treed4135997395cbf0507345dad52c010f783d6a2c7 /misc/txt2tags/txt2tags.SlackBuild
parent8de7d5cb92ba673bf2757e68d774c5f3be419868 (diff)
downloadslackbuilds-8a9eb2eecf912209a6201adf51cc3a60a4387aef.tar.gz
slackbuilds-8a9eb2eecf912209a6201adf51cc3a60a4387aef.tar.xz
misc/txt2tags: Added to 13.0 repository
Diffstat (limited to 'misc/txt2tags/txt2tags.SlackBuild')
-rw-r--r--misc/txt2tags/txt2tags.SlackBuild81
1 files changed, 81 insertions, 0 deletions
diff --git a/misc/txt2tags/txt2tags.SlackBuild b/misc/txt2tags/txt2tags.SlackBuild
new file mode 100644
index 0000000000..159c0021c5
--- /dev/null
+++ b/misc/txt2tags/txt2tags.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware Build script for txt2tags
+
+# Copyright (c) 2009, eviljames <storgeek [at] gmail [dot] com>
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=txt2tags
+VERSION=2.5
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ] ; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ] ; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ] ; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 400 -o \
+ -perm 440 \) -exec chmod 644 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 511 -o -perm 711 -o -perm 555 \) \
+ -exec chmod 755 {} \;
+
+# As txt2tags is a python program, all we have to do is copy it to /usr/bin
+mkdir -p $PKG/usr/bin
+cp -a txt2tags $PKG/usr/bin
+
+# Give the man pages a nice home and then gzip them
+mkdir -p $PKG/usr/man/man1
+cp doc/manpage.man $PKG/usr/man/man1/txt2tags.1
+# And the ones for other locales
+for locale in ca es fr it pt zh ; do
+ mkdir -p $PKG/usr/man/$locale/man1
+ cp doc/manpage-$locale.man $PKG/usr/man/$locale/man1/txt2tags.1
+done
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README TODO extras samples test \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}